import request from '@/utils/request'

// 查询电池极值数据列表
export function listBatteryData(query) {
  return request({
    url: '/BatteryData/BatteryData/list',
    method: 'get',
    params: query
  })
}

// 查询电池极值数据详细
export function getBatteryData(id) {
  return request({
    url: '/BatteryData/BatteryData/' + id,
    method: 'get'
  })
}

// 新增电池极值数据
export function addBatteryData(data) {
  return request({
    url: '/BatteryData/BatteryData',
    method: 'post',
    data: data
  })
}

// 修改电池极值数据
export function updateBatteryData(data) {
  return request({
    url: '/BatteryData/BatteryData',
    method: 'put',
    data: data
  })
}

// 删除电池极值数据
export function delBatteryData(id) {
  return request({
    url: '/BatteryData/BatteryData/' + id,
    method: 'delete'
  })
}
